%define	_requires_exceptions  pear(CAS.php/CAS/Autoload.php)
%define upstream_name CAS
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Summary: 	Central Authentication Service client library in php
Version: 	1.3.3
Release: 	%mkrel 1
License: 	Apache 2.0 License
Group: 		Development/PHP
URL: 		https://wiki.jasig.org/display/CASC/phpCAS
Source0: 	http://downloads.jasig.org/cas-clients/php/%{version}/CAS-%{version}.tgz
BuildRequires: 	php-pear >= 1.4.7
# No cahnnels available.
# BuildRequires: 	php-channel(__uri)
# Requires: 	php-channel(__uri)
BuildArch: 	noarch

%description
This package is a PEAR installable library for using a Central
Authentication Service.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/CAS.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/CAS.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only __uri/CAS
fi

%files
%doc docs/CAS/*
%{peardir}/*
%{xmldir}/CAS.xml


%changelog
* Tue Sep 16 2014 spuhler <spuhler> 1.3.3-1.mga4
+ Revision: 683853
- upgrade to 1.3.3
 * fixes Bug #14081, CVE-2014-4172

* Fri Oct 18 2013 umeabot <umeabot> 1.3.2-3.mga4
+ Revision: 516531
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 375883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 luigiwalser <luigiwalser> 1.3.2-1.mga3
+ Revision: 338345
- 1.3.2 (fixes CVE-2012-5583)

* Sun Oct 28 2012 spuhler <spuhler> 1.3.1-2.mga3
+ Revision: 311124
- added exception pear(CAS.php/CAS/Autoload.php)
  bumped rel

* Sat Oct 27 2012 spuhler <spuhler> 1.3.1-1.mga3
+ Revision: 310791
- imported package php-pear-CAS

